org.eclipse.viatra.transformation.tracer

## Class TraceExecutor

- java.lang.Object
- - org.eclipse.viatra.transformation.evm.api.adapter.AbstractEVMAdapter
  - - org.eclipse.viatra.transformation.tracer.TraceExecutor

- All Implemented Interfaces:
    IEVMAdapter

      public class TraceExecutor
      extends AbstractEVMAdapter

  Adapter implementation that loads transformation traces and executes the transformation according to them

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `TraceExecutor.TraceExecutorConflictSet`
    `class` | `TraceExecutor.TraceExecutorIterator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TraceExecutor(IActivationCoder activationCoder, ITraceModelSerializer serializer)`
    `TraceExecutor(IActivationCoder activationCoder, org.eclipse.emf.common.util.URI location)`
    `TraceExecutor(org.eclipse.emf.common.util.URI location)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChangeableConflictSet` | `getConflictSet(ChangeableConflictSet set)`
    `java.util.Iterator<Activation<?>>` | `getExecutableActivations(java.util.Iterator<Activation<?>> iterator)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TraceExecutor

          public TraceExecutor(IActivationCoder activationCoder,
                               ITraceModelSerializer serializer)

    - #### TraceExecutor

          public TraceExecutor(IActivationCoder activationCoder,
                               org.eclipse.emf.common.util.URI location)

    - #### TraceExecutor

          public TraceExecutor(org.eclipse.emf.common.util.URI location)

  - ### Method Detail

    - #### getConflictSet

          public ChangeableConflictSet getConflictSet(ChangeableConflictSet set)

      Specified by:
        `getConflictSet` in interface `IEVMAdapter`
      Overrides:
        `getConflictSet` in class `AbstractEVMAdapter`

    - #### getExecutableActivations

          public java.util.Iterator<Activation<?>> getExecutableActivations(java.util.Iterator<Activation<?>> iterator)

      Specified by:
        `getExecutableActivations` in interface `IEVMAdapter`
      Overrides:
        `getExecutableActivations` in class `AbstractEVMAdapter`